require 'fileutils'
require 'cocoapods-repo-tal/command/repo/add'
require 'cocoapods-repo-tal/command/repo/add_cdn'
require 'cocoapods-repo-tal/command/repo/lint'
require 'cocoapods-repo-tal/command/repo/list'
require 'cocoapods-repo-tal/command/repo/push'
require 'cocoapods-repo-tal/command/repo/remove'
require 'cocoapods-repo-tal/command/repo/update'

module Pod
  class Command
    class RepoTal < Command
      self.abstract_command = true

      # @todo should not show a usage banner!
      #
      self.summary = 'Manage spec-repositories'
      self.default_subcommand = 'list'

      #-----------------------------------------------------------------------#

      extend Executable
      executable :git

      def dir
        config.repos_dir + @name
      end
    end
  end
end
